Skip to main content
POST
/
v1
/
orgs
/
{orgId}
/
templates
Create shared template
curl --request POST \
  --url https://api.openworklabs.com/v1/orgs/{orgId}/templates \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "templateData": "<unknown>"
}
'
{
  "template": {
    "id": "<string>",
    "organizationId": "<string>",
    "name": "<string>",
    "templateData": "<unknown>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "creator": {
      "memberId": "<string>",
      "userId": "<string>",
      "role": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "image": "<string>"
    }
  }
}

Path Parameters

orgId
string<typeid>
required

Den TypeID with 'org_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^org_.*

Body

application/json
name
string
required
Required string length: 1 - 255
templateData
any
required

Response

Template created successfully.

template
object
required